JUCE: ImageEffectFilter Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ImageEffectFilter Class Referenceabstract
juce_graphics » effects

A graphical effect filter that can be applied to components. More...

`#include <juce_ImageEffectFilter.h>`

Inheritance diagram for ImageEffectFilter:

## Public Member Functions
virtual void | applyEffect (Image &sourceImage, Graphics &destContext, float scaleFactor, float alpha)=0
| Overridden to render the effect.
virtual | ~ImageEffectFilter ()=default
| Destructor.

## Detailed Description

A graphical effect filter that can be applied to components.

An ImageEffectFilter can be applied to the image that a component paints before it hits the screen.

This is used for adding effects like shadows, blurs, etc.

See also
  Component::setComponentEffect

## Constructor & Destructor Documentation

## ◆ ~ImageEffectFilter()

virtual ImageEffectFilter::~ImageEffectFilter | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ applyEffect()

virtual void ImageEffectFilter::applyEffect | ( | Image & | sourceImage,
|  | Graphics & | destContext,
|  | float | scaleFactor,
|  | float | alpha
| ) |  |
| pure virtual

Overridden to render the effect.

The implementation of this method must use the image that is passed in as its source, and should render its output to the graphics context passed in.

Parameters

  sourceImage | the image that the source component has just rendered with its paint() method. The image may or may not have an alpha channel, depending on whether the component is opaque.
  destContext | the graphics context to use to draw the resultant image.
  scaleFactor | a scale factor that has been applied to the image - e.g. if this is 2, then the image is actually scaled-up to twice the original resolution
  alpha | the alpha with which to draw the resultant image to the target context

Implemented in GlowEffect, and DropShadowEffect.

The documentation for this class was generated from the following file:

- juce_ImageEffectFilter.h